com.mapinfo.midev.style

## Interface IInterior

All Superinterfaces:
  IMultiPass, Iterable, Serializable

    public interface IInterior
    extends Serializable, IMultiPass

A list of IFillRenditions that provides multiple rendering passes for the interior of an object. It allows for 'layering' IFillRendition attributes to achieve a certain effect.

### Field Summary

Fields
`static IInterior` `NONE` This constant is used to suppress previous interior styles in the renderer when drawing in a multi-pass scenario.

### Method Summary

All Methods Instance Methods Abstract Methods
`Color` `getBackground()` Returns the color used to fill the background of the pattern
`IInterior` `getCopy()` Returns a copy of this style.
`Color` `getForeground()` Returns the color used to fill the foreground of the pattern
`Integer` `getPattern()` Returns the pattern used to fill the interior of the object.
`Boolean` `isBackgroundTransparent()` Determine whether or not the background should be transparent.
`void` `setBackground(Color background)` Sets the color used to fill the background of the pattern.
`void` `setBackgroundTransparent(Boolean backgroundTransparent)` Sets whether or not the background should be transparent.
`void` `setForeground(Color foreground)` Sets the color used to fill the foreground of the pattern.
`void` `setPattern(Integer pattern)` Sets the pattern used to fill the interior of the object.

### Methods inherited from interface com.mapinfo.midev.style.IMultiPass

`add, add, clear, get, isEmpty, iterator, remove, set, size`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Field Detail

#### NONE

    static final IInterior NONE

This constant is used to suppress previous interior styles in the renderer when drawing in a multi-pass scenario. All methods throw `UnsupportedOperationException`.

### Method Detail

#### getPattern

    Integer getPattern()

Returns the pattern used to fill the interior of the object.

Returns:
  The pattern used to fill the interior of the object.

#### setPattern

    void setPattern(Integer pattern)

Sets the pattern used to fill the interior of the object. Setting pattern to null indicates to the renderer to use the parent's value for fill.

Parameters:
  `pattern` - the pattern to be used to fill the interior of the object.

#### getForeground

    Color getForeground()

Returns the color used to fill the foreground of the pattern

Returns:
  The color used to fill the foreground of the pattern

#### setForeground

    void setForeground(Color foreground)

Sets the color used to fill the foreground of the pattern.

Parameters:
  `foreground` - the color used to fill the foreground of the pattern.

#### getBackground

    Color getBackground()

Returns the color used to fill the background of the pattern

Returns:
  The color used to fill the background of the pattern

#### setBackground

    void setBackground(Color background)

Sets the color used to fill the background of the pattern.

Parameters:
  `background` - the color used to fill the background of the pattern.

#### isBackgroundTransparent

    Boolean isBackgroundTransparent()

Determine whether or not the background should be transparent.

Returns:
  Whether or not the background should be transparent.

#### setBackgroundTransparent

    void setBackgroundTransparent(Boolean backgroundTransparent)

Sets whether or not the background should be transparent.

Parameters:
  `backgroundTransparent` - whether or not the background should be transparent.

#### getCopy

    IInterior getCopy()

Returns a copy of this style.

Returns:
  a copy of this style.